org.apache.lucene.search

## Interface QueryCache

All Known Implementing Classes:
  LRUQueryCache

    public interface QueryCache

A cache for queries.

See Also:
  `LRUQueryCache`
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Method Summary

All Methods Instance Methods Abstract Methods
`Weight` `doCache(Weight weight, QueryCachingPolicy policy)` Return a wrapper around the provided `weight` that will cache matching docs per-segment accordingly to the given `policy`.

### Method Detail

#### doCache

    Weight doCache(Weight weight,
                   QueryCachingPolicy policy)

Return a wrapper around the provided `weight` that will cache matching docs per-segment accordingly to the given `policy`. NOTE: The returned weight will only be equivalent if scores are not needed.

See Also:
  `Collector.scoreMode()`